Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesysapp.net/api/v1.2/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"7228575b-cef9-4fc0-8e96-348b71319f02","userId":"b4f08d28-db2d-4e99-b0ee-1a1468dc1cc5","userUrl":null,"dateSwiped":"2026-04-28T17:44:51.3977246+00:00","dateViewed":"2026-04-28T17:44:51.3977246+00:00"},{"id":"ec69ad69-d832-4e1e-91ae-0b87d84b5527","userId":"8fb43255-f6c8-4ea3-adee-b7a352ed3357","userUrl":null,"dateSwiped":null,"dateViewed":"2026-04-29T17:44:51.3977246+00:00"}]}
object
  count integer      
  data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string